Subject: Re: MyOrder
From: [email-masked]
To: [email-masked], [email-masked]
Date: Mon, 04 Nov 2019 17:09:08 -0800

ZD#84229.

AJ
HFL Customer Support

----- Original Message -----
From:
 "ODON MAYA" <[email-masked]>

To:
"Health Zendesk Support" <[email-masked]>, "- Dr. Sam
Robbins -" <[email-masked]>, "[email-masked]"
<[email-masked]>, "HFL Support"
<[email-masked]>
Cc:

Sent:
Tue, 5 Nov 2019 01:03:54 +0000 (UTC)
Subject:
MyOrder

TO WHOM IT MAY CONCERN:

Again, I contact you to find out the status of my order, because I
have not known anything about it. I don´t know my track number of my
order.

If there is any problem or inconvenience for the shipment, I would
like to suspend the purchase and recover my money.

Thank you for your attention.

Odón Maya García

__